		<?php foreach($listaBi_pagina as $bi_pagina) {?>
		<tr class="formTab" >
			<td><a href="javaScript:void(0)" class="cor_verde abrir_modal" abrir-modal="#modaleditarbi_pagina"  onclick="atualizaSeletor('src/controller/Bi_paginaControllerUser.php?carragar_formulario_seletor=<?php echo $_GET['carragar_formulario_seletor'];?>&alterar=1&mod=form_admin&codigo=<?php echo $bi_pagina->getCodigo();?><?php if (isset($campo_buscar)) {echo $campo_buscar;}?>','#<?php echo $_GET['carragar_formulario_seletor'];?>');"><i class="fa fa-pencil" aria-hidden="true"></i></td>
			<td><a href="javaScript:void(0)" class="cor_verde" onclick="excluirDados('src/controller/Bi_paginaController.php?mod=excluir&codigo=<?php echo $bi_pagina->getCodigo();?>')"><i class="fa fa-trash" aria-hidden="true"></i></td>
			<td>
				<a href="javaScript:void(0)" onclick="compartilhar('<?php echo encrypt($bi_pagina->getCodigo());?>')"><i class="fa-solid fa-share-nodes"></i></a>
				<a  target="_blank" href="Page_view.php?page=<?php echo encrypt($bi_pagina->getCodigo());?>" ><i class="fa-solid fa-up-right-from-square"></i></a>
			</td>
			<td><?php echo $bi_pagina->getCodigo();?></td>
			<td><?php echo $bi_pagina->getNome();?></td>
		</tr>
		
		<tr class="tab_card_item" >
				<td style=" padding: 10px; float: left; width: 300px; border: solid 1px #f3f1f1; box-shadow: 0px 1px 3px 0px #d9d9d9; margin: 5px; border-radius: 5px; position: relative; height: 60px;">	
				
					<div class="edit_tab_card_item" style="width: 50px; padding: 8px; color: #394d60; left; background: #f2f2f2; height: 100%; position: absolute; top: 0; left: 0;">
						<a href="javaScript:void(0)" class="cor_verde abrir_modal" abrir-modal="#modaleditarbi_pagina"  onclick="atualizaSeletor('src/controller/Bi_paginaControllerUser.php?carragar_formulario_seletor=<?php echo $_GET['carragar_formulario_seletor'];?>&alterar=1&mod=form_admin&codigo=<?php echo $bi_pagina->getCodigo();?><?php if (isset($campo_buscar)) {echo $campo_buscar;}?>','#<?php echo $_GET['carragar_formulario_seletor'];?>');"><i class="fa fa-pencil" aria-hidden="true"></i></a>
						<br>
						<a href="javaScript:void(0)" class="cor_verde" onclick="excluirDados('src/controller/Bi_paginaController.php?mod=excluir&codigo=<?php echo $bi_pagina->getCodigo();?>')"><i class="fa fa-trash" aria-hidden="true"></i></a>
					</div>	
					<div style=" float: left; margin-top: 5px; margin-left: 50px; color: #5080af;">
						<i class="fas fa-fw fa-tachometer-alt"></i>
					</div>	
					<div style=" width: 200px; float: left; font-size: 12px; margin-top: <?php if(strlen($bi_pagina->getNome()) > 21) {echo "0px;";} else {echo "5px;";}?> margin-left: 5px; color: #38597a;">
						<?php echo $bi_pagina->getCodigo()." ";
						if(strlen($bi_pagina->getNome()) > 60)
						{
							echo substr($bi_pagina->getNome(),0,60)."...";
						}
						else
						{
							echo $bi_pagina->getNome();
						}
						?>
					</div>	
					<div style=" font-size: 12px; position: absolute; left: calc(100% - 20px); top: 0;">
						<a href="javaScript:void(0)" onclick="compartilhar('<?php echo encrypt($bi_pagina->getCodigo());?>')"><i class="fa-solid fa-share-nodes"></i></a>
					</div>	
					
					<div style=" font-size: 12px; position: absolute; left: calc(100% - 20px); top: 33px;">
						<a  target="_blank" href="Page_view.php?page=<?php echo encrypt($bi_pagina->getCodigo());?>" ><i class="fa-solid fa-up-right-from-square"></i></a>
					</div>
				</td>
			</tr>
		<?php }?>
		<script>
			$(".cards").html("");
			$('.tab_card_item').each(function() {
				$(".cards").append($(this).html());
			});
			$(".tab_card_item").remove();
			monta_conteudo_tabulator("#iniciar_tabulatorbi_pagina", "#listtablebi_pagina")
			function compartilhar(codigo_rash)
			{
				var url = window.location.href
				if(url.includes("."))
				{
					arr = url.split("/");
					url = "";
					for(i =0; i < arr.length-1; i++)
					{
						url += arr[i]+"/" ;
					}
				}
				//alert(url)
				html = "";
				html +='<div style=" font-size: 12px; position: absolute; left: calc(100% - 15px); top: 0;">';
				html +='		<a href="javaScript:void(0)" onclick="fechar_modal_aviso()"><i class="fa-solid fa-circle-xmark"></i></a>';
				html +='</div>	';
				html +='<div style="text-align: left;">	';
				html +='	<b>Link privado (Apenas com login)</b><br>';
				html += "	<b style='color: green;' id='link_privado'>"+url+'Page_view.php?page='+codigo_rash+"</b>";
				html += '	<a href="javaScript: void(0)" class="btnSuccess btnSn" style="color: green;" onclick="copiar_link(\'link_privado\');">Copiar</a>';
				html += '	<br><br><br>';
				html +='	<b>Link público (Com validade)</b><br>';
				
				
				
				html +='	<b>Validade em horas</b><br>';
				html += '	<input type="text" id="horas_validade" oninput="this.value=this.value.replace(/[^0-9]/g,\'\');" class="form" value="0" style="width: 150px;"/>';
				html += '	<a href="javaScript: void(0)" class="btnSuccess btnSn" style="color: green;" onclick="gerar_link(\''+codigo_rash+'\');">Gerar link</a><br>';
				
				html += "	<b id='validade'></b>";
				html += "	<b style='color: green; display: none;' id='link_publico'>"+url+'Page_view.php?page='+codigo_rash+"&public</b>";
				html += '	<a href="javaScript: void(0)" id="btn_link_publico" class="btnSuccess btnSn" style="color: green; display: none; " onclick="copiar_link(\'link_publico\');">Copiar</a><br>';
				
			
				html +='</div>	';
				abrir_modal_aviso(html);
				$("#validade").html("Validando link público...<br>");
				$.post("src/controller/Bi_paginaControllerUser.php?mod=validar_link_publico",
				{codigo_rash: codigo_rash},
				function (data){
					if(! data.status)
					{
						$("#validade").html("");
						//alert(data.mensagem);
					}
					else
					{
						$("#validade").html("Válido até "+data.validade+"<br>");
						$("#link_publico").css("display", "inline");
						$("#btn_link_publico").css("display", "inline");
					}
				}, "json");
			}
			
			function gerar_link(codigo_rash)
			{
				$("#validade").html("Gerando link...<br>");
				$.post("src/controller/Bi_paginaControllerUser.php?mod=gerar_link_publico",
				{codigo_rash: codigo_rash, horas_validade: $("#horas_validade").val()},
				function (data){
					if(! data.status)
					{
						$("#validade").html("");
						alert(data.mensagem);
					}
					else
					{
						$("#validade").html("Válido até "+data.validade+"<br>");
						$("#link_publico").css("display", "inline");
						$("#btn_link_publico").css("display", "inline");
					}
				}, "json");
			}
			function copiar_link(link)
			{
				//alert($("#"+link).html())
				copyTextToClipboard($("#"+link).html())
			}
			
			function copyTextToClipboard(text) {
			  var textArea = document.createElement("textarea");

			  textArea.style.position = 'fixed';
			  textArea.style.top = 0;
			  textArea.style.left = 0;
			  textArea.style.width = '2em';
			  textArea.style.height = '2em';
			  textArea.style.padding = 0;
			  textArea.style.border = 'none';
			  textArea.style.outline = 'none';
			  textArea.style.boxShadow = 'none';
			  textArea.style.background = 'transparent';
			  textArea.value = text;

			  document.body.appendChild(textArea);
			  textArea.select();

			  try {
				var successful = document.execCommand('copy');
				var msg = successful ? 'successful' : 'unsuccessful';
				//console.log('Copying text command was ' + msg);
				alert('Copying text command was ' + msg);
			  } catch (err) {
				//console.log('Oops, unable to copy');
				alert('Oops, unable to copy');
				//window.prompt("Copie para área de transferência: Ctrl+C e tecle Enter", text);
			  }

			  document.body.removeChild(textArea);
			}
			
		</script>
